com.microfocus.awm.meta.modelextension

## Enum EModelExtensionAttributeType

- java.lang.Object
- - java.lang.Enum<EModelExtensionAttributeType>
  - - com.microfocus.awm.meta.modelextension.EModelExtensionAttributeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EModelExtensionAttributeType>

      public enum EModelExtensionAttributeType
      extends java.lang.Enum<EModelExtensionAttributeType>

  Enumeration of model extension attribute types.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Boolean` Boolean type.
    `Double` Double type.
    `Integer` Numeric type.
    `String` String type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getTypeClass()` Gets the `Class` of the attribute type.
    `static EModelExtensionAttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EModelExtensionAttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### String

          public static final EModelExtensionAttributeType String

      String type.

    - #### Integer

          public static final EModelExtensionAttributeType Integer

      Numeric type.

    - #### Double

          public static final EModelExtensionAttributeType Double

      Double type.

    - #### Boolean

          public static final EModelExtensionAttributeType Boolean

      Boolean type.

  - ### Method Detail

    - #### values

          public static EModelExtensionAttributeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EModelExtensionAttributeType c : EModelExtensionAttributeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EModelExtensionAttributeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTypeClass

          public java.lang.Class<?> getTypeClass()

      Gets the `Class` of the attribute type.
      Returns:
        the type's `Class`

Copyright © 2015 Micro Focus GmbH. All rights reserved.